<?php
class activitydb{
    public function sales_contact_details($cid){
        include 'configuration.php';
        $result=$pdo->prepare('call sales_contact_details("'.$cid.'")');
        $result->execute();
        $pdo=null;
        //print_r($result);
        return $result;
    }
    public function sales_employee_action_stream_status_tag_lead($companyname, $adminemailid, $column, $sid){
        include 'configuration.php';
        $result=$pdo->prepare('call sales_employee_action_stream_status_tag_lead("'.$companyname.'","'.$adminemailid.'", "'.$column.'","'.$sid.'")');
        $result->execute();
        $pdo=null;
        //print_r($result);
        return $result;
    }
    public function sales_action_stream_status_tag_lead($companyname, $adminemailid, $column, $sid){
        include 'configuration.php';
        $result=$pdo->prepare('call sales_action_stream_status_tag_lead("'.$companyname.'","'.$adminemailid.'", "'.$column.'","'.$sid.'")');
        $result->execute();
        $pdo=null;
        //print_r($result);
        return $result;
    }
    public function sales_activity_created_deal_view($contid, $datetime, $createby, $createtype){
        include 'configuration.php';
        $result=$pdo->prepare('call sales_activity_created_deal_view("'.$contid.'","'.$datetime.'","'.$createby.'","'.$createtype.'")');
        $result->execute();
        $pdo=null;
        //print_r($result);
        return $result;
    }
    public function sales_activity_created_nextaction_view($contid, $datetime, $createby, $createtype){
        include 'configuration.php';
        $result=$pdo->prepare('call sales_activity_created_nextaction_view("'.$contid.'","'.$datetime.'","'.$createby.'","'.$createtype.'")');
        $result->execute();
        $pdo=null;
        //print_r($result);
        return $result;
    }
    public function sales_activity_created_note_view($contid, $datetime, $createby, $createtype){
        include 'configuration.php';
        $result=$pdo->prepare('call sales_activity_created_note_view("'.$contid.'","'.$datetime.'","'.$createby.'","'.$createtype.'")');
        $result->execute();
        $pdo=null;
        //print_r($result);
        return $result;
    }
    public function sales_activity_created_call_view($contid, $datetime, $createby, $createtype){
        include 'configuration.php';
        $result=$pdo->prepare('call sales_activity_created_call_view("'.$contid.'","'.$datetime.'","'.$createby.'","'.$createtype.'")');
        $result->execute();
        $pdo=null;
        //print_r($result);
        return $result;
    }
    public function sales_activity_view_update($type, $contid, $startvalue, $companyname, $adminname){
        include 'configuration.php';
        $result=$pdo->prepare('call sales_activity_view_update("'.$type.'","'.$contid.'","'.$startvalue.'","'.$companyname.'","'.$adminname.'")');
        $result->execute();
        $pdo=null;
        //print_r($result);
        return $result;
    }
    public function sales_activity_view_call_note($type, $contid, $startvalue, $companyname, $adminname){
        include 'configuration.php';
        $result=$pdo->prepare('call sales_activity_view_call_note("'.$type.'","'.$contid.'","'.$startvalue.'","'.$companyname.'","'.$adminname.'")');
        $result->execute();
        $pdo=null;
        //print_r($result);
        return $result;
    }
    public function sales_activity_view_deal($type, $contid, $startvalue, $companyname, $adminname){
        include 'configuration.php';
        $result=$pdo->prepare('call sales_activity_view_deal("'.$type.'","'.$contid.'","'.$startvalue.'","'.$companyname.'","'.$adminname.'")');
        $result->execute();
        $pdo=null;
        //print_r($result);
        return $result;
    }
    public function sales_activity_view_nextaction($type, $contid, $startvalue, $companyname, $adminname){
        include 'configuration.php';
        $result=$pdo->prepare('call sales_activity_view_nextaction("'.$type.'","'.$contid.'","'.$startvalue.'","'.$companyname.'","'.$adminname.'")');
        $result->execute();
        $pdo=null;
        //print_r($result);
        return $result;
    }
    public function sales_activity_view_all($type, $contid, $startvalue, $companyname, $adminname){
        include 'configuration.php';
        $result=$pdo->prepare('call sales_activity_view_all("'.$type.'","'.$contid.'","'.$startvalue.'","'.$companyname.'","'.$adminname.'")');
        $result->execute();
        $pdo=null;
        //print_r($result);
        return $result;
    }
    public function sales_activity_count($type, $subtype, $contid, $companyname, $adminname){
        include 'configuration.php';
        $result=$pdo->prepare('call sales_activity_count("'.$type.'","'.$subtype.'","'.$contid.'","'.$companyname.'","'.$adminname.'")');
        $result->execute();
        $pdo=null;
        //print_r($result);
        return $result;
    }
    public function sales_employee_activity_count($type, $subtype, $contid, $companyname, $adminname){
        include 'configuration.php';
        $result=$pdo->prepare('call sales_employee_activity_count("'.$type.'","'.$subtype.'","'.$contid.'","'.$companyname.'","'.$adminname.'")');
        $result->execute();
        $pdo=null;
        //print_r($result);
        return $result;
    }
    public function sales_employee_activity_view_update($type, $contid, $startvalue, $companyname, $adminname){
        include 'configuration.php';
        $result=$pdo->prepare('call sales_employee_activity_view_update("'.$type.'","'.$contid.'","'.$startvalue.'","'.$companyname.'","'.$adminname.'")');
        $result->execute();
        $pdo=null;
        //print_r($result);
        return $result;
    }
    public function sales_employee_activity_view_call_note($type, $contid, $startvalue, $companyname, $adminname){
        include 'configuration.php';
        $result=$pdo->prepare('call sales_employee_activity_view_call_note("'.$type.'","'.$contid.'","'.$startvalue.'","'.$companyname.'","'.$adminname.'")');
        $result->execute();
        $pdo=null;
        //print_r($result);
        return $result;
    }
    public function sales_employee_activity_view_deal($type, $contid, $startvalue, $companyname, $adminname){
        include 'configuration.php';
        $result=$pdo->prepare('call sales_employee_activity_view_deal("'.$type.'","'.$contid.'","'.$startvalue.'","'.$companyname.'","'.$adminname.'")');
        $result->execute();
        $pdo=null;
        //print_r($result);
        return $result;
    }
    public function sales_employee_activity_view_nextaction($type, $contid, $startvalue, $companyname, $adminname){
        include 'configuration.php';
        $result=$pdo->prepare('call sales_employee_activity_view_nextaction("'.$type.'","'.$contid.'","'.$startvalue.'","'.$companyname.'","'.$adminname.'")');
        $result->execute();
        $pdo=null;
        //print_r($result);
        return $result;
    }
    public function sales_employee_activity_view_all($type, $contid, $startvalue, $companyname, $adminname){
        include 'configuration.php';
        $result=$pdo->prepare('call sales_employee_activity_view_all("'.$type.'","'.$contid.'","'.$startvalue.'","'.$companyname.'","'.$adminname.'")');
        $result->execute();
        $pdo=null;
        //print_r($result);
        return $result;
    }
    
}
?>